Package docking.widgets.table.constraint

# Class AtMostColumnConstraint<T extends Comparable<T>>

java.lang.Object
docking.widgets.table.constraint.SingleValueColumnConstraint<T>
docking.widgets.table.constraint.AtMostColumnConstraint<T>

Type Parameters:
  `T` - the column type.

All Implemented Interfaces:
  `ColumnConstraint<T>`, `Comparable<ColumnConstraint<T>>`

public class AtMostColumnConstraint<T extends Comparable<T>> extends SingleValueColumnConstraint<T>
Column Constraint where acceptable column values are less than or equal to some specified value of the column type.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.constraint.SingleValueColumnConstraint

  `editorProvider, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtMostColumnConstraint(String name, T maxValue, EditorProvider<T> editorProvider, String group)`
  Constructs a new AtMostColumnConstraint with a maximum value, constraint name, and group
  `AtMostColumnConstraint(T maxValue, EditorProvider<T> editorProvider)`
  Constructs a new AtMostColumnConstraint with a default name, default group and a maximum value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accepts(T value, TableFilterContext context)`
  Compares value against the current constraint value to determine acceptance; true if value satisfies the constraints' value, false otherwise
  `SingleValueColumnConstraint<T>`
  `copy(T newValue)`
  subclasses must override to generate new versions of themselves but with new comparison value.

  ### Methods inherited from class docking.widgets.table.constraint.SingleValueColumnConstraint

  `equals, getColumnType, getConstraintValue, getConstraintValueString, getEditor, getGroup, getName, hashCode, parseConstraintValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.constraint.ColumnConstraint

  `asString, compareTo, getConstraintValueTooltip`

- ## Constructor Details

  - ### AtMostColumnConstraint

    public AtMostColumnConstraint(T maxValue, EditorProvider<T> editorProvider)
    Constructs a new AtMostColumnConstraint with a default name, default group and a maximum value.
    Parameters:
      `maxValue` - the value for which all acceptable column values must be less than or equal.
      `editorProvider` - an object that can provide a ConstraintEditor for this constraint type.

  - ### AtMostColumnConstraint

    public AtMostColumnConstraint(String name, T maxValue, EditorProvider<T> editorProvider, String group)
    Constructs a new AtMostColumnConstraint with a maximum value, constraint name, and group
    Parameters:
      `name` - the name of the constraint. For some types T, the default "At Most" may not be best.
      `maxValue` - the value for which all acceptable column values must be less than or equal.
      `editorProvider` - an object that can provide a ConstraintEditor for this constraint type.
      `group` - the name of the group used to organize the list of constraints for a column.

- ## Method Details

  - ### accepts

    public boolean accepts(T value, TableFilterContext context)
    Description copied from interface: `ColumnConstraint`
    Compares value against the current constraint value to determine acceptance; true if value satisfies the constraints' value, false otherwise
    Parameters:
      `value` - the column value to be tested.
      `context` - provides additional information about the the table and its data. This allows the filter to base its decision on information other than just the column value.
    Returns:
      true if the column value passes the constraint, false otherwise

  - ### copy

    public SingleValueColumnConstraint<T> copy(T newValue)
    Description copied from class: `SingleValueColumnConstraint`
    subclasses must override to generate new versions of themselves but with new comparison value.
    Specified by:
      `copy` in class `SingleValueColumnConstraint<T extends Comparable<T>>`
    Parameters:
      `newValue` - the new value to compare column values against.
    Returns:
      a new ColumnConstraint that is the same type as this constraint but with a new comparison value.